package com.ss.android.ugc.aweme.ecommerce.service.vo;

import X.C6286CVu;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.Objects;

public final class ProductBaseEpt implements Parcelable {
    public static final Parcelable.Creator<ProductBaseEpt> CREATOR = new C6286CVu();
    @c(LIZ = "title")
    public final String LIZ;
    @c(LIZ = "desc_detail")
    public final String LIZIZ;
    @c(LIZ = "sold_count")
    public final String LIZJ;
    @c(LIZ = "price")
    public final ProductPriceEpt LIZLLL;

    static {
        Covode.recordClassIndex(72496);
    }

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof ProductBaseEpt)) {
            return false;
        }
        return M12.LIZ(((ProductBaseEpt) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("ProductBaseEpt:%s,%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.LIZ);
        parcel.writeString(this.LIZIZ);
        parcel.writeString(this.LIZJ);
        ProductPriceEpt productPriceEpt = this.LIZLLL;
        if (productPriceEpt != null) {
            parcel.writeInt(1);
            productPriceEpt.writeToParcel(parcel, 0);
            return;
        }
        parcel.writeInt(0);
    }

    public ProductBaseEpt(String str, String str2, String str3, ProductPriceEpt productPriceEpt) {
        this.LIZ = str;
        this.LIZIZ = str2;
        this.LIZJ = str3;
        this.LIZLLL = productPriceEpt;
    }
}
